# Stateful Protocol Composition and Typing 

This git repository contains a local mirror of
[Stateful Protocol Composition and Typing](https://www.isa-afp.org/entries/Stateful_Protocol_Composition_and_Typing.html)
entry of the
[Archive of Formal Proofs (AFP)](https://www.isa-afp.org).

The official AFP releases are tagged. Additionally, this repository
may contain extensions (i.e., a development version) that may be
submitted (as an update of the Stateful Protocol Composition and Typing entry) at a later stage.

## Installation

```console
achim@logicalhacking:~$ isabelle build -D Stateful_Protocol_Composition_and_Typing.html
```

## Authors

* Andreas V. Hess
* [Sebastian Mödersheim](https://people.compute.dtu.dk/samo/)
* [Achim D. Brucker](http://www.brucker.ch/)

## License

This project is licensed under a 3-clause BSD-style license.

SPDX-License-Identifier: BSD-3-Clause

## Master Repository

The master git repository for this project is hosted by the [Software
Assurance & Security Research Team](https://logicalhacking.com) at
<https://git.logicalhacking.com/afp-mirror/Stateful_Protocol_Composition_and_Typing>.

## Publications

* Andreas V. Hess, Sebastian Mödersheim, and Achim D. Brucker. Stateful
  Protocol Composition and Typing. In Archive of Formal Proofs, 2020. 
  <http://www.isa-afp.org/entries/tateful_Protocol_Composition_and_Typing.html>, 
  Formal proof development
* Andreas V. Hess, Sebastian A. Mödersheim, and Achim D. Brucker. Stateful 
  Protocol Composition. In ESORICS. Lecture Notes in Computer Science (11098),
  pages 427-446, Springer-Verlag, 2018. doi:[10.1007/978-3-319-99073-6](https://dx.doi.org/10.1007/978-3-319-99073-6) 
